import module namespace vf = "http://www.xquark.org/XQuery/Samples/viewDefs" at "view.mod";
import schema namespace vt = "http://www.xquark.org/XQuery/Samples/viewTypes" at "view.xsd";


<result>
  {
    for $uid in distinct-values(vf:users()//vt:bid/@userid),
        $u in vf:users()[@id = $uid]
    let $b := vf:users()//vt:bid[@userid = $uid]
    return
        <bidder>
            <userid>{ data($u/@id) }</userid>
            <name>{ data($u/vt:name) }</name>
            <bidcount>{ count($b) }</bidcount>
            <avgbid>{ avg($b/vt:value) }</avgbid>
        </bidder>
  }
</result>

