import module namespace vf = "http://www.xquark.org/XQuery/Samples/viewDefs" at "view.mod";
import schema namespace vt = "http://www.xquark.org/XQuery/Samples/viewTypes" at "view.xsd";


<result>
  {
    for $u in vf:users()
    order by $u/vt:name
    return
        <user>
            <name>{ data($u/vt:name) }</name>
            {
                for $i in $u//vt:item
                where $i//vt:bid/@userid = $u/@id
                order by $i/vt:description
                return
                    <bid_on_item>{ $i/vt:description/text() }</bid_on_item>
            }
        </user>
  }
</result>
