/*
 * This file belongs to the XQuare distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquare.org.
 */

package org.xquark.extractor.metadata;

public class DatabaseType {

	private static final String RCSRevision = "$Revision: 1.4 $";
	private static final String RCSName     = "$Name: XQ1_1_1 $";

  public static final int STRING = 1;
  public static final int BOOLEAN = 2;
  public static final int DECIMAL = 3;
  public static final int FLOAT = 4;
  public static final int DOUBLE = 5;
  public static final int DURATION = 6;
  public static final int DATE_TIME = 7;
  public static final int TIME = 8;
  public static final int DATE = 9;
  public static final int GYEAR_MONTH = 10;
  public static final int GYEAR = 11;
  public static final int GMONTH_DAY = 12;
  public static final int GDAY = 13;
  public static final int GMONTH = 14;
  public static final int HEX_BINARY = 15;
  public static final int BASE64_BINARY = 16;
  public static final int ANY_URI = 17;
  public static final int QNAME = 18;
  public static final int NOTATION = 19;
    public DatabaseType() {
    }


}
