/*
 * This file belongs to the XQuare distribution.
 * Copyright (C) 2003 Universite de Versailles Saint-Quentin.
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307.
 * You can also get it at http://www.gnu.org/licenses/lgpl.html
 * 
 * For more information on this software, see http://www.xquare.org.
 */

package org.xquark.extractor.sql;


public class SqlLitFloat extends SqlLiteral
{

	private static final String RCSRevision = "$Revision: 1.4 $";
	private static final String RCSName     = "$Name: XQ1_1_1 $";

    private Float _value;

    /**
    @param value
    @roseuid 3BD177F50380
     */
    public SqlLitFloat(Float value)
    {
        setValue ( value )  ;
    }

    /**
    @roseuid 3BD177F5034E
     */
    public SqlLitFloat()
    {

    }

    /**
    Access method for the _value property.
    @return   the current value of the _value property
    @roseuid 3BD177F60025
     */
    public Float getValue()
    {
      return _value;
    }

    /**
    Sets the value of the _value property.
    @param aValue the new value of the _value property
    @roseuid 3BD177F60057
     */
    public void setValue(Float aValue)
    {
        _value = aValue;
    }

    /**
    @return String
    @roseuid 3BD177F600E3
     */
    public String toSql(Context context)
    {
        return  _value.toString  (  ) ;
    }
}
