<?xml version="1.0"?>
<!--
This stylesheet generates 'tabs' at the top left of the screen.
See the imported tab2menu.xsl for details.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:import href="../../../common/xslt/html/tab2menu.xsl"/>

  <xsl:template match="tabs">
    <div class="tab">
      <table cellspacing="0" cellpadding="0" border="0" summary="tab bar">
        <tr>
          <xsl:call-template name="base-tabs"/>
        </tr>
      </table>
    </div>
  </xsl:template>

  <xsl:template name="pre-separator">
  </xsl:template>

  <xsl:template name="post-separator">
  </xsl:template>

  <xsl:template name="separator">
    <td nowrap="nowrap">
      <img src="{$root}skin/images/spacer.gif" class="separator" width="0" height="8" alt=""/>
      |
      <img src="{$root}skin/images/spacer.gif" class="separator" width="0" height="8" alt=""/>
    </td>
  </xsl:template>

  <xsl:template name="selected">
    <td class="sel" valign="middle" align="middle">
    	<xsl:call-template name="base-selected"/>
    </td>
  </xsl:template>

  <xsl:template name="not-selected">
	<td class="not-sel" valign="middle" align="middle">
      <xsl:call-template name="base-not-selected"/>
    </td>
  </xsl:template>

</xsl:stylesheet>
