(:
List the item number and description of all bicycles that have an auction in progress at the given date, ordered by item number.
:)

<result>
{
for $i in collection("items")/items
where 	$i/start_date <= date("1999-02-10")
	and $i/end_date >= date("1999-02-10") 
	and contains($i/description, "Bicycle")
order by $i/itemno
return
	<item>
		{ $i/itemno }
		{ $i/description }
	</item>
}
</result>